Package org.bukkit.scoreboard

# Enum Class NameTagVisibility

java.lang.Object
java.lang.Enum<NameTagVisibility>
org.bukkit.scoreboard.NameTagVisibility

All Implemented Interfaces:
  `Serializable`, `Comparable<NameTagVisibility>`, `Constable`

@Deprecated public enum NameTagVisibility extends Enum<NameTagVisibility>
Deprecated.
replaced by `Team.OptionStatus`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS`
Deprecated.
Always show the player's nametag.
`HIDE_FOR_OTHER_TEAMS`
Deprecated.
Show the player's nametag only to his own team members.
`HIDE_FOR_OWN_TEAM`
Deprecated.
Show the player's nametag only to members of other teams.
`NEVER`
Deprecated.
Never show the player's nametag.

## Method Summary

Modifier and Type
Method
Description
`static NameTagVisibility`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static NameTagVisibility[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALWAYS

public static final NameTagVisibility ALWAYS
Deprecated.
Always show the player's nametag.

### NEVER

public static final NameTagVisibility NEVER
Deprecated.
Never show the player's nametag.

### HIDE_FOR_OTHER_TEAMS

public static final NameTagVisibility HIDE_FOR_OTHER_TEAMS
Deprecated.
Show the player's nametag only to his own team members.

### HIDE_FOR_OWN_TEAM

public static final NameTagVisibility HIDE_FOR_OWN_TEAM
Deprecated.
Show the player's nametag only to members of other teams.

## Method Details

### values

public static NameTagVisibility[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NameTagVisibility valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null